PooledMultiSender (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.bio.PooledMultiSender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport.bio
Class PooledMultiSender

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractSender
          org.apache.catalina.tribes.transport.PooledSender
              org.apache.catalina.tribes.transport.bio.PooledMultiSender

All Implemented Interfaces:
  DataSender, MultiPointSender

    public class PooledMultiSender

extends PooledSender

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable

Constructor Summary
`PooledMultiSender()`

Method Summary
`DataSender` | `getNewDataSender()` getNewDataSender
`void` | `sendMessage(Member[] destination, ChannelMessage msg)`

Methods inherited from class org.apache.catalina.tribes.transport.PooledSender
`add, connect, disconnect, getInPoolSize, getInUsePoolSize, getPoolSize, getSender, keepalive, remove, returnSender, setPoolSize`

Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender
`getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, isConnected, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, transferProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender
`setDirectBuffer, setMaxRetryAttempts, setRxBufSize, setTxBufSize`

Methods inherited from interface org.apache.catalina.tribes.transport.DataSender
`getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setTimeout`

Constructor Detail

### PooledMultiSender

    public PooledMultiSender()

Method Detail

### sendMessage

    public void sendMessage(Member[] destination,
                            ChannelMessage msg)
                     throws ChannelException

  Throws:
    `ChannelException`

### getNewDataSender

    public DataSender getNewDataSender()

  getNewDataSender

  Specified by:
    `getNewDataSender` in class `PooledSender`
  Returns:
    DataSender

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.